#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os 

AUTHOR = 'Fabrice Mouhartem'
SITENAME = 'fmouhart’s blog'
SITEURL = ''

# Theme
THEME = "themes/clean-blog"
HEADER_COLOR='#333333'
COLOR_SCHEME_CSS = 'monokai.css'
DISPLAY_PAGES_ON_MENU = False 
DISPLAY_CATEGORIES_ON_MENU = True
FAVICON='images/lock.png'
JINJA_ENVIRONMENT = {'trim_blocks': True, 'lstrip_blocks': True, 'extensions' : ('jinja2.ext.loopcontrols','jinja2.ext.i18n',),}
## Footer
FOOTER_INCLUDE = 'myfooter.html'
IGNORE_FILES = [FOOTER_INCLUDE]
THEME_TEMPLATES_OVERRIDES = [os.path.dirname(__file__)]

# Plugins
PLUGIN_PATHS = ['./plugins/']
PLUGINS = ['i18n_subsites', 'autopages']

# Static paths
PATH = 'content'
STATIC_PATHS = ['images', 'examples',]

TIMEZONE = 'Europe/Paris'

#LANG
DEFAULT_LANG = 'en'
LOCALE = 'en_GB.UTF-8'
DEFAULT_DATE_FORMAT = '%A, %B %d, %Y'
I18N_SUBSITES = {
        'fr': {
            'SITENAME': 'Le blog de fmouhart',
            'FOOTER_INCLUDE' : 'myfooter-fr.html',
            'LOCALE' : 'fr_FR.UTF-8',
            'DEFAULT_DATE_FORMAT' : '%A %d %B %Y',
            }
        }

# Social widget
SOCIAL = ()

DEFAULT_PAGINATION = 10
PAGE_PAGINATION = 5

# Articles URL
ARTICLE_URL = '{category}/{slug}.html'
ARTICLE_SAVE_AS = ARTICLE_URL
CATEGORY_URL = '{slug}/'
CATEGORY_SAVE_AS = '{slug}/index.html'

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

